---
lang: en
title: 'API docs: repository.kvconnector.keys'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.kvconnector.keys.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [KVConnector](./repository.kvconnector.md) &gt; [keys](./repository.kvconnector.keys.md)

## KVConnector.keys() method

Fetch all keys

<b>Signature:</b>

```typescript
keys?(modelClass: Class<Entity>, options?: Options): Promise<string[]>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  modelClass | <code>Class&lt;Entity&gt;</code> | Model class |
|  options | <code>Options</code> | Options for the operation |

<b>Returns:</b>

`Promise<string[]>`

A promise of an array of keys for all entries


